## gtkhx 0.9.3-1

=== plugins/eliza/Makefile ===
LDFLAGS = -ggdb
CFLAGS = -Wall -fPIC
CC = gcc

all: eliza.so

eliza.so:	eliza.c
	$(CC) $(LDFLAGS) $(CFLAGS) -I../../ -DSKIPCONFIG -shared -Wl,-soname,eliza.so -o $@ $< -lc

distclean: clean

clean:
	rm -f *.so *.o

install: eliza.so

=== plugins/sample/Makefile ===
LDFLAGS = -ggdb
CFLAGS = -Wall -fPIC
CC = gcc

sample.so:	sample.c
	$(CC) $(LDFLAGS) $(CFLAGS) -I../../ -DSKIPCONFIG -shared -Wl,-soname,sample.so -o $@ $< -lc

=== debian/changelog ===
gtkhx (0.9.3-1) unstable; urgency=low
  * New release
  * Fixed build errors and endianness issues

 -- Misha Nasledov <misha@debian.org>  Fri, 22 Mar 2002 13:23:00 -0800

gtkhx (0.9.2-1) unstable; urgency=low
  * New release
  * Added crypto and moved to non-US

 -- Misha Nasledov <misha@debian.org>  Mon, 19 Feb 2002 19:13:00 -0800

gtkhx (0.9.1-1) unstable; urgency=low
  * New release

 -- Misha Nasledov <misha@debian.org>  Mon, 21 Jan 2002 20:48:00 -0800

gtkhx (0.9.0-1) unstable; urgency=low
  * New release

 -- Misha Nasledov <misha@debian.org>  Sat, 12 Jan 2002 19:16:00 -0800

gtkhx (0.8.17-1) unstable; urgency=low
  * New release
  * Fixed user_create function. closes: #121710

 -- Misha Nasledov <misha@debian.org>  Wed, 12 Dec 2001 10:22:00 -0700

gtkhx (0.8.16-1) unstable; urgency=low
  * Fixed manpage. closes: #118124 
  * New release

 -- Misha Nasledov <misha@debian.org>  Wed, 07 Nov 2001 10:40:00 -0700

gtkhx (0.8.15-1) unstable; urgency=low
  * New release
  * Updated standards version

 -- Misha Nasledov <misha@debian.org>  Wed, 31 Oct 2001 08:43:00 -0700

gtkhx (0.8.14-1) unstable; urgency=low
  * New release

 -- Misha Nasledov <misha@debian.org>  Thu, 27 Aug 2001 09:15:00 -0700

gtkhx (0.8.13-1) unstable; urgency=low
  * New release

 -- Misha Nasledov <misha@debian.org>  Sat, 15 Jul 2001 13:00:00 -0700

gtkhx (0.8.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add -fPIC to things in the plugins directory.
  * copy in new config.{guess,sub} to get support for new architectures.
    Closes: #104621.                                                    

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Sat, 14 Jul 2001 18:17:01 -0600

gtkhx (0.8.12-1) unstable; urgency=low
  * New upstream release
  * Scrapped SOCKS support. closes: #85893

 -- Misha Nasledov <misha@debian.org>  Sun, 27 Jun 2001 14:41:00 -0700

gtkhx (0.8.11-1) unstable; urgency=low
  * New upstream release

 -- Misha Nasledov <misha@nasledov.com>  Sun, 10 Jun 2001 11:39:00 -0700

gtkhx (0.8.10-1) unstable; urgency=low
  * New upstream relelase

 -- Misha Nasledov <misha@nasledov.com>  Sun, 27 May 2001 21:51:00 -0700

gtkhx (0.8.9-1) unstable; urgency=high
  * New upstream release
  * Many bugfixes

 -- Misha Nasledov <misha@nasledov.com>  Fri, 20 Apr 2001 11:04:00 -0700

gtkhx (0.8.8-1) unstable; urgency=low
  * New upstream release
  * No longer install INSTALL

 -- Misha Nasledov <misha@nasledov.com>  Fri, 30 Mar 2001 10:58:00 -0800

gtkhx (0.8.7-1) unstable; urgency=medium
  * Private chat windows are now destroyed on disconnect
  * Fixed segfault if private chat window still open when disconnected
  * Window positions are now saved properly
  * Icon change/status change events are no longer announced in chat
  * Bookmark writing code optimized
  * Bookmark reading code reports error if wrong format
  * Bookmark conversion code implemented into GtkHx
  * Updated French translation
  * Added two more built-in bookmarks
  * Fixed GtkHx segfault on servers that do not let guests chat
  * Fixed file download button
  * Multi-tracker support
  * Implemented transparency tinting
  * Using glib types for portability
  * News no longer reloads on private chat join
  * Non blocking connect/login
  * Non blocking tracker
  * Fixed chat focusing bug
  * Fixed segfault with private messages
  * Fixed directory creation
  * SOCKS 4/5 support
  * Added ability to timestamp chat
  * Fixed private chat /me commands
  * Redid options window
  * Autoconf improvements
  * News no longer loads if news button is clicked while news is open
  * Show private messages at back now works
  * Added ability to toggle wordwrap in chat
  * Added ability to browse in same window or create new windows
  * Sound command can now be specified
  * Failed tasks are now deleted from tasks window
  * Added ability to toggle case sensitivity in tracker search
  * Fixed another init bug with chat

 -- Misha Nasledov <misha@nasledov.com>  Sat, 27 Jan 2001 11:46:00 -0800

gtkhx (0.8.6-1) unstable; urgency=low

  * Fixed post news dialog ui
  * Fixed options window ui
  * Implemented ability to move files
  * Fixed prefs bugs
  * Fixed major init bugs
  * Fixed xtext transparency setting
  * Fixed file browsing bug
  * Close agreement/files windows on disconnect
  * Fixed private chat ui
  * GtkHx now uses Hotline Client bookmarks
  * New icons code

 -- Misha Nasledov <misha@nasledov.com>  Sun, 31 Dec 2000 19:53:00 -0800
	

gtkhx (0.8.5-1) unstable; urgency=low

  * Fixed a bug where message window input would lock up if empty message was sent
  * Now clear chat on new connection
  * Tracker is now listed when tracker window is opened
  * Added ignore pixmap (thanks Philip!)
  * Code cleanup/weeding
  * Now use fork() instead of clone()
  * Added a /unignore
  * Added download path setting
  * GtkHx logo is now 256 colors
  * Regex supported in tracker search
  * Xfer ETA now displayed in hours:mins:secs
  * Fixed horizontal scrollbar in tracker
  * Data path now defaults to PREFIX/share/gtkhx
  * Got rid of xfer reporting from chat
  * Fixed crash if chat window closed
  * Got rid of ugly default toolbar
  * Added ability to manipulate the position of a queued file xfer
  * Improved file browsing
  * No longer attempts to load news if not connected
  * Added some command line options
  * Added check for Cygwin environment
  * Added man page
  * Fixed more window initialization bugs
  * Memory leak fixes
  * Fixed clear for private chat
  * Fixed bug with listing a directory
  * Display number of servers found/total in tracker
  * Added locale support
  * French translation added
  * Display correct icon for upload/drop box directories
  * Added a header to the user list for UID and Name
  * Fixed several GtkHx pixmaps
  * Fixed tracker code so it no longer uses GList
  * Added debug option to GtkHx
  * Improved gtk_hlist
  * Implemented ability to delete files
  * Fixed history code bugs
  * Better nick tab completion


=== debian/control ===
Source: gtkhx
Section: non-US
Priority: optional
Maintainer: Misha Nasledov <misha@debian.org>
Build-Depends: debhelper, libgtk1.2-dev, gettext, libgdk-pixbuf-dev, libssl-dev, zlib1g-dev
Standards-Version: 3.5.6

Package: gtkhx
Architecture: any
Depends: ${shlibs:Depends}
Recommends: sox
Description: A GTK+ version of Hx, a UNIX Hotline Client
 This is a Hotline Client for Linux using the GTK+ libraries.  Hotline
 is a protocol allowing chat, news, and file transfers. Any
 user can run his/her own server and register it with a public tracker,
 which is a meta-server that users can access to obtain a list of
 registered servers and connect to them.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	$(MAKE)
#/usr/bin/docbook-to-man debian/gtkhx.sgml > gtkhx.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the package into debian/tmp.
	mkdir -p `pwd`/debian/tmp/usr/share/gtkhx/sounds/
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
#	install src/gtkhx `pwd`/debian/tmp/usr/bin
#	install -m 644 icons.rsrc `pwd`/debian/tmp/usr/share/gtkhx
#	cp -r sounds `pwd`/debian/tmp/usr/share/gtkhx

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
# You may want to make some executables suid here.
#	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gtkhx 0.9.4-1

=== debian/changelog ===
gtkhx (0.9.4-1) unstable; urgency=low
  * New release
 -- Misha Nasledov <misha@debian.org>  Mon, 31 Mar 2003 15:01:00 -0700

gtkhx (0.9.3-2) unstable; urgency=low
  * Fixed build errors
  * Removed cipher support as it is pointless
	
 -- Misha Nasledov <misha@debian.org>  Thu, 30 Jan 2003 19:35:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gtkhx
-Section: non-US
+Section: net
 Priority: optional
 Maintainer: Misha Nasledov <misha@debian.org>
-Build-Depends: debhelper, libgtk1.2-dev, gettext, libgdk-pixbuf-dev, libssl-dev, zlib1g-dev
-Standards-Version: 3.5.6
+Build-Depends: debhelper, libgtk1.2-dev, gettext, libgdk-pixbuf-dev, zlib1g-dev
+Standards-Version: 3.5.8
 
 Package: gtkhx
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 configure-stamp:
 	dh_testdir
 # Add here commands to configure the package.
-	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-cipher
 
 	touch configure-stamp

## gtkhx 0.9.4-3

=== debian/changelog ===
gtkhx (0.9.4-3) unstable; urgency=low

  * QA upload.
  * Automatically update config.sub and config.guess from autotools-dev.
    Closes: #332759.

 -- Matej Vela <vela@debian.org>  Sat,  8 Oct 2005 15:11:04 +0200

gtkhx (0.9.4-2) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/control: build-depend on dpatch
  * debian/rules: Add dpatch support
  * Add patch from Andreas Jochens to fix FTBFS on amd64 (closes: #286925)
  * debian/menu: Quoted the unquoted

 -- Andrew Pollock <apollock@debian.org>  Thu,  6 Oct 2005 10:10:35 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: gtkhx
 Section: net
 Priority: optional
-Maintainer: Misha Nasledov <misha@debian.org>
-Build-Depends: debhelper, libgtk1.2-dev, gettext, libgdk-pixbuf-dev, zlib1g-dev
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper, libgtk1.2-dev, gettext, libgdk-pixbuf-dev, zlib1g-dev, dpatch, autotools-dev
 Standards-Version: 3.5.8
 
 Package: gtkhx

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,21 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=1
 
+PACKAGE=gtkhx
+
+include /usr/share/dpatch/dpatch.make
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 # Add here commands to configure the package.
+	ln -sf /usr/share/misc/config.sub /usr/share/misc/config.guess .
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-cipher
 
 	touch configure-stamp
 
 build: configure-stamp build-stamp
-build-stamp:
+build-stamp:	patch-stamp
 	dh_testdir
 
 # Add here commands to compile the package.
@@ -26,13 +31,14 @@
 
 	touch build-stamp
 
-clean:
+clean:	unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
 # Add here commands to clean up after the build process.
 	-$(MAKE) distclean
+	rm -f config.sub config.guess
 
 	dh_clean
